#include <iostream>
#include <vector>
#include <string>
#include <algorithm>

typedef long long ll;
using namespace std;
int main() {
    string s;
    cin>>s;
    reverse(s.begin(), s.end());
    for (ll i=0; i<s.size(); i++){
        if (s[i]=='2'){
            s[i]='5';
        } else if (s[i]=='5') {
            s[i] = '2';
        }
    }
    ll start=0;
    for (ll i=0; i<s.size(); i++){
        if (s[i]!='0'){
            break;
        }
        start++;
    }
    for (ll i=start; i<s.size(); i++){
        cout<<s[i];
    }
    return 0;
}
